Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006770opensim[REGION] OpenSim Corepublic2013-09-18 06:452014-07-29 13:42
Reporterorenh 
Assigned Tojustincc 
PrioritynormalSeverityminorReproducibilityrandom
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Versionmaster (dev code) 
Target Versionmaster (dev code)Fixed in Version 
Summary0006770: [PATCH] Terrain uploads aren't thread-safe
DescriptionThe code that accepts terrain uploads isn't thread-safe. This patch improves locking.
Additional InformationThe existing code locks on TerrainUploader. But that variable itself is changed when a terrain upload begin, and doesn't even exist at first (it's null). The patch locks on the enclosing module instead, which does always exist.
TagsNo tags attached.
Git Revision or version number
Run Mode Grid (1 Region per Sim)
Physics EngineODE
EnvironmentMono / Linux32
Mono Version2.10
Viewer
Attached Filespatch file icon 0001-Made-terrain-uploads-thread-safe.patch [^] (7,172 bytes) 2013-09-24 05:08 [Show Content]

- Relationships

-  Notes
(0024368)
justincc (administrator)
2013-09-19 15:59

Hi oren. For some reason, your patch changes every line of the files (line endings?). Please could you fix this?
(0024396)
orenh (administrator)
2013-09-24 05:09

Yes, it was those @#*^! line endings... Ok, I uploaded a fixed version of the patch.
(0024466)
justincc (administrator)
2013-10-14 16:20

Committed as git master f106ba8. Thanks Oren.

- Issue History
Date Modified Username Field Change
2013-09-18 06:45 orenh New Issue
2013-09-18 06:45 orenh Status new => assigned
2013-09-18 06:45 orenh Assigned To => justincc
2013-09-18 06:45 orenh File Added: 0001-Made-terrain-uploads-thread-safe.patch
2013-09-18 07:11 orenh Status assigned => patch included
2013-09-18 07:11 orenh Summary Terrain uploads aren't thread-safe => [PATCH] Terrain uploads aren't thread-safe
2013-09-19 15:59 justincc Note Added: 0024368
2013-09-19 15:59 justincc Status patch included => patch feedback
2013-09-24 05:08 orenh File Deleted: 0001-Made-terrain-uploads-thread-safe.patch
2013-09-24 05:08 orenh File Added: 0001-Made-terrain-uploads-thread-safe.patch
2013-09-24 05:09 orenh Note Added: 0024396
2013-09-24 05:09 orenh Status patch feedback => patch included
2013-10-14 16:20 justincc Note Added: 0024466
2013-10-14 16:20 justincc Status patch included => resolved
2013-10-14 16:20 justincc Resolution open => fixed
2014-07-29 13:42 chi11ken Status resolved => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker